
#ifndef __itr_eq_hh__
#define __itr_eq_hh__

namespace afilter {

  template <class Itr>
  class itr_equal {
    Itr end;
  public:
    itr_equal() {}
    itr_equal(const Itr & e) : end(e) {}
    bool operator() (const Itr & i) const {return i == end;}
  };
  
}
#endif
